# Uses of Class
net.shibboleth.shared.httpclient.TLSSocketFactory

Packages that use TLSSocketFactory
Package
Description
net.shibboleth.shared.httpclient
Classes for working with Apache HttpClient.

## Uses of TLSSocketFactory in net.shibboleth.shared.httpclient

Methods in net.shibboleth.shared.httpclient that return TLSSocketFactory
Modifier and Type
Method
Description
`TLSSocketFactory`
TLSSocketFactoryBuilder.`build()`
Build a new instance of `TLSSocketFactory`, based on the properties specified to this builder instance.